IRPCVaultLoginsAdmin.GetVaultLogin

View as Markdown

Administration API / specialized admin session

Gets one vault login by account name.

ServiceVault login accounts MFiles.IRPCVaultLoginsAdmin
gRPC method/MFiles.IRPCVaultLoginsAdmin/GetVaultLogin
HTTP (mf-http-grpc)POST /grpc/v1/get-vault-login
RequestGetVaultLoginRequest
ResponseGetVaultLoginResponse
Book and levelAdministration API, specialized
Kindadmin
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentno
Returns metadata structure versionno
Streamingnone (unary)

Remarks

Request: GetVaultLoginRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
account_namestringThe account name of the login.

Response: GetVaultLoginResponse

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
ploginLoginThe login. See Login.
plogin.account_typeAccountTypeAccount type (e.g. M-Files or Windows).Values: ACCOUNT_TYPE_UNINITIALIZED (0), ACCOUNT_TYPE_MFILES (1), ACCOUNT_TYPE_WINDOWS (2).
plogin.domain_namestringDomain name, if acctype is eAccountTypeWindows. Otherwise unset.
plogin.user_namestringUser name. Cannot be unset.
plogin.optionsSRVROLESBitmask of the server roles of the login.
plogin.options.allboolSpecifies all flags set; Including any future flags.
plogin.options.system_administratorboolSystem administrator (can perform any operation on the server). [ name( "vaultCreator" ) ] const SRVROLES SRVROLE_VAULT_CREATOR = ( 1 << 1 ); //!< Can create, modify and delete vaults. Can also restore vaults. [ name( "backupOperator" ) ] const SRVROLES SRVROLE_BACKUP_OPERATOR = ( 1 << 2 ); //!< Can back up vaults.
plogin.options.can_log_inboolCan log in. A login that does not have this role is disabled and cannot log in even if the login has the sysadmin role.
plogin.options.invalid_passwordboolThis special role indicates that the M-Files login does not yet have a valid password. MFAdmin uses this flag to force the user to define the password.
plogin.full_namestringThe full name of the user. May be unset.
plogin.email_addressstringThe email address of the user. May be unset.
plogin.license_typeLicenseTypeLicense type.Values: LICENSE_TYPE_NONE (0), LICENSE_TYPE_NAMED_USER_LICENSE (1), LICENSE_TYPE_CONCURRENT_USER_LICENSE (2), LICENSE_TYPE_READ_ONLY_LICENSE (3), LICENSE_TYPE_VISITOR_LICENSE (4).
plogin.credential_typeCredentialTypeCredential type.Values: CREDENTIAL_TYPE_USER (0), CREDENTIAL_TYPE_TECHNICAL (1).
plogin.client_idstringClient ID, if credentialtype is eCredentialTypeTechnical. Otherwise unset.
plogin.external_idstringThe user identity in external system, such as Microsoft Entra (where the identity is a GUID).